Subject: Re: [QGit] Can't compile under windows (MSVC2008)

From: Abdelrazak Younes <[email-masked]>
Date: Tue, 07 Oct 2008 13:41:19 +0200

On 07/10/2008 13:14, Marco Costalba wrote:
> 2008/9/23 Abdelrazak Younes<[email-masked]>:
>    
>> Hello,
>>
>> I tried to follow README_WIN.txt:
>>
>> C:\devel\qgit\qgit4>qmake qgit.pro
>>
>> The Makefile (attached to this mail) seems to be correctly generated in the
>> same directory (C:\devel\qgit\qgit4).
>>
>> Then, under MSVC2008 Express, I get this error:
>>
>> 1>------ Début de la génération : Projet : qgit, Configuration : Debug Win32
>> ------
>> 1>Actions de projet Makefile en cours
>> 1>Microsoft (R) Program Maintenance Utility Version 9.00.21022.08
>> 1>Copyright (C) Microsoft Corporation. Tous droits rÚservÚs.
>> 1>  cd src\&&  "C:\Program Files\Microsoft Visual Studio
>> 9.0\VC\bin\nmake.exe" debug
>> 1>Microsoft (R) Program Maintenance Utility Version 9.00.21022.08
>> 1>Copyright (C) Microsoft Corporation. Tous droits rÚservÚs.
>> 1>NMAKE : fatal error U1073: incapable d'obtenir 'src\\Makefile'
>> 1>Stop.
>> 1>NMAKE : fatal error U1077: 'cd'á: code retour '0x2'
>> 1>Stop.
>> 1>Project : error PRJ0019: Un outil a retourné un code d'erreur à partir de
>> "Actions de projet Makefile en cours"
>> 1>Le journal de génération a été enregistré à l'emplacement
>> "file://c:\devel\qgit\qgit4\Debug\BuildLog.htm"
>> 1>qgit - 3 erreur(s), 0 avertissement(s)
>> ========== Génération : 0 a réussi, 1 a échoué, 0 mis à jour, 0 a été ignoré
>> ==========
>>
>> Idea someone?
>>
>>      
>
> have you tried to setup MSVC for custom build ?

Sorry, I don't follow you.

>   and pass proper
> comamnd line with nmake ?
>    

In the NMAKE field of the project properties, there is 'nmake /f 
Makefile debug', is that what you mean?

Abdel.